net.corda.node.services.config

## Interface NodeConfiguration

- All Superinterfaces:
    SSLConfiguration
  All Known Implementing Classes:
    FullNodeConfiguration

      public NodeConfiguration
      extends SSLConfiguration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NodeConfiguration.DefaultImpls`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.file.Path` | `getBaseDirectory()`
    `java.net.URL` | `getCertificateSigningService()`
    `java.nio.file.Path` | `getCertificatesDirectory()`
    `java.util.Properties` | `getDataSourceProperties()`
    `boolean` | `getDevMode()`
    `java.lang.String` | `getEmailAddress()`
    `java.lang.String` | `getExportJMXto()`
    `java.lang.String` | `getMyLegalName()`
    `java.lang.String` | `getNearestCity()`
    `NetworkMapInfo` | `getNetworkMapService()`
    `java.util.List<net.corda.node.services.User>` | `getRpcUsers()`

    - ### Methods inherited from interface net.corda.node.services.config.SSLConfiguration

      `getCertificatesDirectory, getKeyStoreFile, getKeyStorePassword, getTrustStoreFile, getTrustStorePassword`

- - ### Method Detail

    - #### getBaseDirectory

          java.nio.file.Path getBaseDirectory()

    - #### getCertificatesDirectory

          java.nio.file.Path getCertificatesDirectory()

    - #### getMyLegalName

          java.lang.String getMyLegalName()

    - #### getNetworkMapService

          NetworkMapInfo getNetworkMapService()

    - #### getNearestCity

          java.lang.String getNearestCity()

    - #### getEmailAddress

          java.lang.String getEmailAddress()

    - #### getExportJMXto

          java.lang.String getExportJMXto()

    - #### getDataSourceProperties

          java.util.Properties getDataSourceProperties()

    - #### getRpcUsers

          java.util.List<net.corda.node.services.User> getRpcUsers()

    - #### getDevMode

          boolean getDevMode()

    - #### getCertificateSigningService

          java.net.URL getCertificateSigningService()